com.io7m.smfj.format.binary.v1

## Interface SMFBv1SchemaIDReadableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    SMFBv1SchemaIDType
  All Known Implementing Classes:
    SMFBv1SchemaIDByteBuffered

      public interface SMFBv1SchemaIDReadableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The readable interface to values of the `SMFBv1SchemaID` record type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jpra.runtime.java.JPRAStringCursorReadableType` | `getSchemaIdReadable()`
    `int` | `getSchemaVersionMajor()`
    `int` | `getSchemaVersionMinor()`
    `int` | `metaSchemaIdOffsetFromCursor()`
    `int` | `metaSchemaIdOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAString` | `metaSchemaIdType()`
    `int` | `metaSchemaVersionMajorOffsetFromCursor()`
    `int` | `metaSchemaVersionMajorOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaSchemaVersionMajorType()`
    `int` | `metaSchemaVersionMinorOffsetFromCursor()`
    `int` | `metaSchemaVersionMinorOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaSchemaVersionMinorType()`

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### metaSchemaIdOffsetFromType

          int metaSchemaIdOffsetFromType()

      Returns:
        The offset in octets of the `schema_id` field, from the start of the type

    - #### metaSchemaIdOffsetFromCursor

          int metaSchemaIdOffsetFromCursor()

      Returns:
        The offset in octets of the `schema_id` field, from the cursor

    - #### metaSchemaIdType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAString metaSchemaIdType()

      Returns:
        The type of the `schema_id` field

    - #### getSchemaIdReadable

          com.io7m.jpra.runtime.java.JPRAStringCursorReadableType getSchemaIdReadable()

      Returns:
        Read-only access to the `schema_id` field

    - #### metaSchemaVersionMajorOffsetFromType

          int metaSchemaVersionMajorOffsetFromType()

      Returns:
        The offset in octets of the `schema_version_major` field, from the start of the type

    - #### metaSchemaVersionMajorOffsetFromCursor

          int metaSchemaVersionMajorOffsetFromCursor()

      Returns:
        The offset in octets of the `schema_version_major` field, from the cursor

    - #### metaSchemaVersionMajorType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaSchemaVersionMajorType()

      Returns:
        The type of the `schema_version_major` field

    - #### getSchemaVersionMajor

          int getSchemaVersionMajor()

      Returns:
        The value of the `schema_version_major` field

    - #### metaSchemaVersionMinorOffsetFromType

          int metaSchemaVersionMinorOffsetFromType()

      Returns:
        The offset in octets of the `schema_version_minor` field, from the start of the type

    - #### metaSchemaVersionMinorOffsetFromCursor

          int metaSchemaVersionMinorOffsetFromCursor()

      Returns:
        The offset in octets of the `schema_version_minor` field, from the cursor

    - #### metaSchemaVersionMinorType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaSchemaVersionMinorType()

      Returns:
        The type of the `schema_version_minor` field

    - #### getSchemaVersionMinor

          int getSchemaVersionMinor()

      Returns:
        The value of the `schema_version_minor` field

Copyright © 2017 <code@io7m.com> http://io7m.com